#!/bin/sh

for url in \
    https://corp-serv.net/.well-known/matrix/client \
    https://corp-serv.net/.well-known/matrix/server \
    https://element.corp-serv.net/ \
    https://synapse.corp-apps.com/_matrix/client/versions; \
    do
        domain=$(echo $url | sed -e 's,https://,,' -e 's,/.*,,')
        echo "Testing $url / $domain ..."
        echo dig $domain
        dig +short $domain
        echo curl $url
        curl -I $url
done
