## Usage and Components

Note: as of 2023-09-01 this docker-compose is available internally.

### Versions

* coturn: https://hub.docker.com/r/coturn/coturn/tags

### HOSTNAME for turnserver

* realm: on which domain for turn server

### Sample usage

Setting up turnserver.conf for coturn ...

- set realm "fn.nf"
- set listenport 3487
- set tlslistenport 5349
- set min port 49152
- set max port 65535
- set static-auth-secret weqrdvfdsawerawefsdaf123#@#dsfaf132

```
docker-compose up -d
```
